package skims.fu.survey.helper;

import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

public class YamlHelper {

	public static List<Map<String, Object>> getListOfMaps(String key, Map<String, Object> data) {
		if (data == null) return null;
		List<Object> list = (List<Object>) data.get(key);
		if (list == null || list.isEmpty()) return new LinkedList<Map<String,Object>>();
		if (list.get(0) instanceof Map) return (List<Map<String,Object>>) data.get(key);
		return null;
	}
	
	public static List<List<Map>> getListOfLists(String key, Map<String, Object> data) {
		if (data == null) return null;
		List<Object> list = (List<Object>) data.get(key);
		if (list == null || list.isEmpty()) return new LinkedList<List<Map>>();
		if (list.get(0) instanceof List) return (List<List<Map>>) data.get(key);
		return null;
	}
	
	public static int getInt(String key, Map<String, Object> data) {
		if (data == null) return -1;
		return (Integer) data.get(key);
	}
	
	public static boolean getBoolean(String key, Map<String, Object> data) {
		if (data == null) return false;
		return (Boolean) data.get(key);
	}
	
	public static String getString(String key, Map<String, Object> data) {
		if (data == null) return "";
		return (String) data.get(key);
	}
	
	public static Map<String, Object> getMap(String key, Map<String, Object> data) {
		if (data == null) return new HashMap<String,Object>();
		return (Map<String,Object>) data.get(key);
	}
	
	public static float getFloat(String key, Map<String, Object> data) {
		if (data == null) return -1;
		return (Float) data.get(key);
	}
}
